Subject: Re: Compiling in mingw32 mode
From: [email-masked] (Mumit Khan)

14 Jan 1999 23:56:23 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
To: Joaquim Quinteiro Uchoa <[email-masked]>
Cc: [email-masked]

On Wed, 13 Jan 1999, Joaquim Quinteiro Uchoa wrote:

> I'm a mingw32 user and recently started using
> cigwin. I'm not porting unix applications and
> like to make my programs without reference to
> cygwin.dll. 
> 
> I've tried the -mno-cygwin option, but this
> option only worked with gui applications
> (-mwindows). In applications using iostream
> I have several errors of ld (references,
> of course). I don't know if I need to link
> with a library of mingw2 or set any variable
> to make this.

This has been discussed *many* times here, and I don't want to repeat it.

You can pick up the mingw target libraries from:

ftp://ftp.xraylith.wisc.edu/pub/khan/gnu-win32/cygwin/egcs-1.1.1/egcs-1.1.1-mingw-libs.tar.gz

Regards,
Mumit

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".